Bug 115410 - Compile: Error including freetype headers
Compile: Error including freetype headers
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libgnomeprint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 20:20 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-10 07:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-02-11 20:20:42 EST
Just a reminder:

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DORBIT2=1
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/libart-2.0 -I/usr/include/pango-1.0
-I/usr/include/libxml2 -I/usr/include/libbonobo-2.0
-I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/freetype2 -DG_LOG_DOMAIN=\"GnomePrint\"
-DWE_ARE_LIBGNOMEPRINT_UI -DGNOMELOCALEDIR=\"/usr/share/locale\"
-DBINDIR=\"/usr/bin\" -DDATADIR=\"/usr/share\"
-DFONTMAPDIR_STATIC=\"/usr/share/gnome/libgnomeprint-2.0/fonts\"
-DFONTMAPDIR_DYNAMIC=\"/etc/gnome/libgnomeprint-2.0/fonts\"
-DGNOME_PRINT_LIBDIR=\"/usr/lib/gnome-print-2.0\" -O2 -g -pipe
-march=athlon -Wall -Wunused -Wmissing-prototypes
-Wmissing-declarations -Wp,-MD,.deps/gnome-print-ps2.pp -c
gnome-print-ps2.c  -fPIC -DPIC -o .libs/gnome-print-ps2.lo
In file included from ../libgnomeprint/gnome-font-private.h:41,
                 from gnome-print-ps2.c:45:
/usr/include/freetype2/freetype/freetype.h:20:2: #error "`ft2build.h'
hasn't been included yet!"
/usr/include/freetype2/freetype/freetype.h:21:2: #error "Please always
use macros to include FreeType header files."
/usr/include/freetype2/freetype/freetype.h:22:2: #error "Example:"
/usr/include/freetype2/freetype/freetype.h:23:2: #error "  #include
<ft2build.h>"
/usr/include/freetype2/freetype/freetype.h:24:2: #error "  #include
FT_FREETYPE_H"
gnome-print-ps2.c: In function `gnome_print_ps2_fill':
gnome-print-ps2.c:327: warning: `ret' might be used uninitialized in
this function
make[3]: *** [gnome-print-ps2.lo] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/libgnomeprint-1.116.0/libgnomeprint'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/libgnomeprint-1.116.0/libgnomeprint'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/libgnomeprint-1.116.0'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.11041 (%build)
                                                                     
                                                       
                                                                     
                                                       
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.11041 (%build)
Comment 1 Kjartan Maraas 2004-03-29 15:17:39 EST
Is this still the same?
Comment 2 Ivan Gyurdiev 2004-04-10 07:50:39 EDT
No it's fixed.

Note You need to log in before you can comment on or make changes to this bug.